Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc.gui
Enum AttributeTableModel.AttributeTableHeader

    java.lang.Object
      java.lang.Enum<AttributeTableModel.AttributeTableHeader>
          nl.liacs.subdisc.gui.AttributeTableModel.AttributeTableHeader

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AttributeTableModel.AttributeTableHeader>

Enclosing class:
  AttributeTableModel

    public static enum AttributeTableModel.AttributeTableHeader

extends java.lang.Enum<AttributeTableModel.AttributeTableHeader>

Enum Constant Summary
`ATTRIBUTE`
`ENABLED`
`MISSING`
`TYPE`

Field Summary
`int` | `columnNr`

Method Summary
`static java.lang.String` | `getColumnName(int theColumnIndex)`
`static AttributeTableModel.AttributeTableHeader` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AttributeTableModel.AttributeTableHeader[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ATTRIBUTE

    public static final AttributeTableModel.AttributeTableHeader ATTRIBUTE

### TYPE

    public static final AttributeTableModel.AttributeTableHeader TYPE

### ENABLED

    public static final AttributeTableModel.AttributeTableHeader ENABLED

### MISSING

    public static final AttributeTableModel.AttributeTableHeader MISSING

Field Detail

### columnNr

    public final int columnNr

Method Detail

### values

    public static AttributeTableModel.AttributeTableHeader[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AttributeTableModel.AttributeTableHeader c : AttributeTableModel.AttributeTableHeader.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AttributeTableModel.AttributeTableHeader valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getColumnName

    public static java.lang.String getColumnName(int theColumnIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD